package com.chenyang.druid.sql.dialect.oracle.ast.stmt;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.dialect.oracle.ast.OracleSQLObjectImpl;
import java.util.ArrayList;
import java.util.List;

public abstract class OracleSelectPivotBase extends OracleSQLObjectImpl {
   protected final List<SQLExpr> pivotFor = new ArrayList();

   public List<SQLExpr> getPivotFor() {
      return this.pivotFor;
   }

   public OracleSelectPivotBase clone() {
      throw new UnsupportedOperationException();
   }
}
